using System;
using System.ComponentModel;
using System.Drawing.Design;
using System.Collections.Generic;
using System.Windows.Forms;
using System.Windows.Forms.Design;
using System.Text;

namespace FDTracer
{
    [Serializable]
    public class Settings
    {
        private String traceOutputFileName = "C:\\Documents and Settings\\{user}\\Application Data\\Macromedia\\Flash Player\\Logs\\flashlog.txt";
        
        /// <summary> 
        /// Get and sets the TraceOutputFileName
        /// </summary>
        [Description("Flash Player trace log file"), 
         DefaultValue("C:\\Documents and Settings\\{user}\\Application Data\\Macromedia\\Flash Player\\Logs\\flashlog.txt")]
        [Editor(typeof(FileNameEditor), typeof(UITypeEditor))]
        public String TraceOutputFileName 
        {
            get { return traceOutputFileName; }
            set { traceOutputFileName = value; }
        }

     }
}
